org.apache.catalina.ha.authenticator

## Class ClusterSingleSignOnListener

- java.lang.Object
- - org.apache.catalina.authenticator.SingleSignOnListener
  - - org.apache.catalina.ha.authenticator.ClusterSingleSignOnListener

- All Implemented Interfaces:
    Serializable, EventListener, ReplicatedSessionListener, SessionListener

      public class ClusterSingleSignOnListener
      extends SingleSignOnListener
      implements ReplicatedSessionListener

  Cluster extension of `SingleSignOnListener` that simply adds the marker interface `ReplicatedSessionListener` which allows the listener to be replicated across the cluster along with the session.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusterSingleSignOnListener(String ssoId)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.catalina.authenticator.SingleSignOnListener

      `sessionEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.catalina.SessionListener

      `sessionEvent`

- - ### Constructor Detail

    - #### ClusterSingleSignOnListener

          public ClusterSingleSignOnListener(String ssoId)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.